# fn:normalize-space

fn:normalize-space() → string?

Function signature

Result | xs:string ?

Eliminates redundant spaces from the string value of the context item

XPath 2.0 Specification

Implemented. Changed in 8.2 to use the string value of the context item, not its typed value.

fn:normalize-space( string? $srcval) → string?

Function signature

$srcval | xs:string ?
Result | xs:string ?

Eliminates redundant spaces from a string

XPath 2.0 Specification

Expand | Up Next